Resumir las sesiones de un agente
GET/api/public/v1/agents/{agent_id}/sessions/summary
Returns four aggregates scoped to a single agent: total lifetime sessions, sessions active in the last 30 minutes, mean actions per session, and the single longest session's action count. Empty agents (no sessions) return all zeros, not 404.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/agents/<agent_id>/sessions/summary' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/agents/<agent_id>/sessions/summary', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/agents/<agent_id>/sessions/summary' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/agents/<agent_id>/sessions/summary' -Headers $headers | ConvertTo-Json -Depth 20Autorización
Sección titulada «Autorización»| Rol en la organización | Este punto de conexión |
|---|---|
owner | Permitido |
admin | Permitido |
editor | Permitido |
viewer | Permitido |
Una clave tiene el rol que su propietario ocupa en la organización. Consulte Autenticación.
Ámbito de la clave de API: agents:read
Parámetros de ruta
Sección titulada «Parámetros de ruta»| Parámetro | Tipo | Descripción |
|---|---|---|
agent_id | string | Obligatorio. |
Respuesta
Sección titulada «Respuesta»- 200 OK — la llamada se completó correctamente.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 404 Not Found —
NOT_FOUND - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Campos de la respuesta
Sección titulada «Campos de la respuesta»| Campo | Tipo | Descripción |
|---|---|---|
active_now | integer | Sessions whose last_event_at is within the last 30 minutes. |
avg_actions_per_session | number | Mean event_count across every session for the agent (rounded to 1 decimal). |
daily_action_counts | array of integer | Summed event_count across every session for each of the last 7 UTC days, oldest first. Feeds the actions-per-session sparkline. |
daily_session_counts | array of integer | Number of sessions whose first_event_at lands on each of the last 7 UTC days, oldest first. |
longest_session_actions | integer | Highest event_count across every session for the agent. |
total_sessions | integer |
Ejemplo de respuesta
Sección titulada «Ejemplo de respuesta»{ "active_now": 0, "avg_actions_per_session": 0, "daily_action_counts": [ 3 ], "daily_session_counts": [ 3 ], "longest_session_actions": 0, "total_sessions": 0}